@echo off

REM MCFG.BAT
REM Batch file to run MakeCFG(TM) and then reboot automatically.

REM Run MakeCFG(TM) 
makecfg -q
REM Do not reboot if escape pressed to exit makecfg.
if errorlevel 1 goto skip_boot


REM If you are running any programs that cache hard disk writes
REM or do anything that requires something specific to insure 
REM your system configuration files have been properly updated, 
REM then you should do whatever is necessary here to insure
REM the system configuration files are properly updated before 
REM the reboot program is run.
REM Following are two examples of such programs and what needs to be
REM done before the reboot program is run:

REM If you use Microsoft Windows(TM) SMARTDrv.EXE with disk write 
REM cashing enabled, then uncomment the next line to make sure 
REM the write cache is written before rebooting.
REM smartdrv /c

REM If you use SuperStor(TM) (a hard drive compression utility by
REM Addstor, Inc.) then uncomment the appropriate line below to 
REM make sure the "real" system files in the uncompressed area of
REM the hard drive are updated with the data in the compressed system 
REM files that were just modified by MakeCFG(TM).
REM For color monitors uncomment next line.
REM ssutil c: /U 
REM For monochrome monitors uncomment next line.
REM ssutil c: /U /B


REM The next line will warm reboot the machine.
boot.com

:skip_boot

